
Infrastructure - Task #1594

Story # 1378 (Closed): Adding new object formats shouldn't require buildout 

Add an ObjectFormatCache to d1_libclient_java

2011-05-25 18:50 - Chris Jones

Status: Closed Start date: 2011-05-25

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 100%

Category: d1_libclient_java Estimated time: 0.00 hour

Target version: Sprint-2011.35-Block.5   

Milestone:  Story Points:  

Product Version: *   

Description

We decided that the object format lookup functionality should be moved into d1_libclient_java.  The ObjectFormatCache will wrap the

ObjectFormatList that comes either from a CN call to /formats, or from a fallback call to ObjectFormatDiskCache to get a minimal list. 

The ObjectFormatCache will index the ObjectFormatList as a hash of ObjectFormatIdentifier/ObjectFormat pairs.

History

#1 - 2011-05-25 18:50 - Chris Jones

- Assignee set to Chris Jones

#2 - 2011-05-25 18:52 - Chris Jones

- Category set to d1_libclient_java

#3 - 2011-05-27 15:31 - Chris Jones

- Status changed from In Progress to Closed

The ObjectFormatCache in d1_libclient_java now provides static methods to listFormats() and getFormat(fmtid), and getFormat(fmtidStr).  The format

list will either come from the CN /formats call, or fall back to the on-disk cache version.
